html, body {
  height: 100%;
  margin: 0px;
}

.guest_page {
  background-color: #181a3a;
  height: 100%;

  .guest_page_container {
    min-width: 800px;
    width: 800px;
    height: auto;
    margin: 0 auto;
    font-size: 0;
    position: fixed;
    padding: 0px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    .guest_page_form {
      display: inline-block;
      vertical-align: top;
      padding-left: 38px;
      position: absolute;
      right: 0px;
      transform: translateY(-50%);
      top: 50%;
    }
  }
}

.guest_page_form {
  .form-container {
    width: 360px;
    font-size: 14px;
  }
  .guest_page_form_header {
    text-align: center;
    margin-top: 10px;
    .title {
      height: 35px;
      font-family: Roboto;
      font-size: 30px;
      font-weight: 500;
      font-style: normal;
      font-stretch: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #ffffff;
    }
    .sub_title {
      height: 16px;
      font-family: Roboto;
      font-size: 14px;
      font-weight: normal;
      font-style: normal;
      font-stretch: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #989898;
      margin-top: 15px;
    }
  }
  .guest_page_form_body {
    .safe_link_container {
      width: 100%;
      height: 33px;
      border-radius: 16.5px;
      background-color: #2f2f54;
      margin: 10px 0px 26px;
      text-align: center;
      line-height: 33px;
      position: relative;
      .iconmo-icon {
        color: #fa7300;
        position: absolute;
        left: 85px;
        font-size: 17px;
        height: 33px;
        line-height: 33px;
        top: -1px;
      }
      .link {
        color: #fa7300;
        margin-left: 22px;
      }
    }
    .input_group {
      width: 100%;
      height: 45px;
      border-radius: 74px;
      background-color: #f0f0f0;
      margin-bottom: 25px;
      .input_group_prepend {
        width: 19px;
        display: inline-block;
        margin-left: 16px;
        line-height: 45px;
        font-size: 15.5px;
        position: absolute;
        color: #989898;
      }
      .form_input {
        height: 44.5px;
        font-family: "Roboto", sans-serif;
        font-weight: 300;
        font-style: normal;
        font-stretch: normal;
        letter-spacing: normal;
        border: none;
        outline: none;
        background-color: #f0f0f0;
        width: 100%;
        display: inline-block;
        border-radius: 74px;
        padding-left: 40px;
      }
    }
    .button-primary {
      width: 122px;
      height: 35px;
      border-radius: 30px;
      background-color: #fa7300;

      border: none;
      outline: none;
      color: white;
      cursor: pointer;
      letter-spacing: 1px;
      font-weight: bold;
      &:hover {
        background-color: #da6400;
        color: #fff;
      }
    }
  }
  .form_actions {
    text-align: center;
    padding-top: 5px;
  }
  .text-normal {
    font-family: Roboto;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #989898;
  }
  .invalid-feedback {
    display: block;
    white-space: nowrap;
    font-size: 13px;
    margin-top: 3px;
    margin-left: 15px;
    position: absolute;
  }
  .text-link {
    color: #fa7300;
    cursor: pointer;
    &:hover {
      text-decoration: underline;
    }
  }
}

.logo_container {
  position: relative;
}

.guest_page_footer {
  border-top: 1px solid #2f2f54;
  height: 69px;
  position: fixed;
  bottom: 0px;
  width: 100%;
  padding-top: 24px;
  font-size: 0;
  .guest_page_left {
    font-size: 14px;
    color: #989898;
    width: 50%;
    display: inline-block;
    padding-left: 75px;
    .email {
      color: #d8d8d8;
      text-decoration: none;
    }
    .copy-right {
      font-size: 14px;
      letter-spacing: -0.3px;
    }
    .contact {
      padding-left: 5px;
      font-size: 13px;
      letter-spacing: 0.2px;
    }
  }
  .guest_page_right {
    width: 50%;
    display: inline-block;
    vertical-align: top;
    //height: 69px;
    font-size: 16px;
    font-weight: 500;
    color: #989898;
    text-align: right;
    padding-right: 75px;
    margin-top: -9px;
    .support-link {
      color: #989898;
      transition: all 0.3s ease-in-out;
      margin-right: 25px;

      &:hover {
        color: $orange;
        text-decoration: none;
      }
    }
    .menu-iem {
      font-family: Roboto, sans-serif;
      font-size: 16px;
      font-weight: 400;
      color: #989898;
      padding: 0px 10px;
    }
    .language {
      width: 60px;
      display: inline-block;
      padding: 0px;
      margin-left: 13px;
      font-size: 13px;
      position: relative;
    }
    .language__current {
      padding: 9px 13px;
      position: relative;
      &:before {
        content: '';
        display: block;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        border-radius: 18px;
        border: solid 1px #3f4665;
        background-origin: border-box;
        background-clip: content-box, border-box;
      }
    }
    .language.active .sub-menu {
      opacity: 1;
      visibility: visible;
    }
    .language .sub-menu {
      visibility: hidden;
      opacity: 0;
      transition: all 0.3s ease-in-out;
      position: absolute;
      z-index: 10;
      left: 50%;
      transform: translateX(-50%);
      bottom: 34px;
      width: 60px;
      text-align: center;
      background-color: #f7f7f7;
      border-radius: 5px;
      font-size: 12px;
      font-weight: bold;
      letter-spacing: 0.5px;
      color: #1c1c1c;
      padding: 12px 0;
      box-shadow: 0 2px 25px 0 rgba(0, 0, 0, 0.12);
      .list-item {
        cursor: pointer;
      }
    }
  }
}
